MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator:

## Public Member Functions
EUnitType | ReadUnitType (EAxis axis)
| Returns active analog input type. Determined by active control stage system.
void | WriteUnitType (EAxis axis, EUnitType unit)
| Sets active analog input type. Determined by active control stage system.
bool | IsRunning (EAxis axis)
| Returns status of signal generator (running, stopped).
void | SwitchRunning (EAxis axis, bool enable)
| Disable/enable signal generator (running, stopped).
EWaveformShape | ReadShape (EAxis axis)
| Returns shape of waveform.
void | WriteShape (EAxis axis, EWaveformShape shape)
| Sets shape of waveform.
float | ReadFrequency (EAxis axis)
| Returns frequency in Hz of generated signal.
void | WriteFrequency (EAxis axis, float value)
| Sets frequency in Hz of generated signal.
float | ReadAmplitude (EAxis axis)
| Returns amplitude of generated signal.
void | WriteAmplitude (EAxis axis, float value)
| Sets amplitude of generated signal.
float | ReadOffset (EAxis axis)
| Returns offset of generated signal.
void | WriteOffset (EAxis axis, float offset)
| Sets offset of generated signal.
float | ReadPhaseDelay (EAxis axis)
| Returns phase in rad of generated signal.
void | WritePhaseDelay (EAxis axis, float phaseDelay)
| Sets phase in rad of generated signal.
int | ReadCycles (EAxis axis)
| Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
void | WriteCycles (EAxis axis, int cycles)
| Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
float | ReadDutyCycles (EAxis axis)
| Returns duty cycle of square and pulse shapes (ignored for other shape types)
void | WriteDutyCycles (EAxis axis, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types)
EExternalTriggerType | ReadExternalTrigger (EAxis axis)
| Returns flag. If true, turning on the signal generator can be synchronized with an external signal.
void | WriteExternalTrigger (EAxis axis, EExternalTriggerType trigger)
| Sets flag. If true, turning on the signal generator can be synchronized with an external signal.
SignalGeneratorValuesDto | ReadSignalGeneratorValues (EAxis axis)
| Returns object populated with signal generator values.
void | WriteSignalGeneratorValues (SignalGeneratorValuesDto axisValues, EAxis axis)
| Sets object populated with signal generator values.

## Member Function Documentation

## ◆ IsRunning()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.IsRunning | ( | EAxis | axis | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ ReadAmplitude()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadAmplitude | ( | EAxis | axis | ) |

Returns amplitude of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadCycles()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadCycles | ( | EAxis | axis | ) |

Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ ReadDutyCycles()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadDutyCycles | ( | EAxis | axis | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadExternalTrigger()

EExternalTriggerType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadExternalTrigger | ( | EAxis | axis | ) |

Returns flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ ReadFrequency()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadFrequency | ( | EAxis | axis | ) |

Returns frequency in Hz of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadOffset()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadOffset | ( | EAxis | axis | ) |

Returns offset of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadPhaseDelay()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadPhaseDelay | ( | EAxis | axis | ) |

Returns phase in rad of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadShape()

EWaveformShape MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadShape | ( | EAxis | axis | ) |

Returns shape of waveform.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadSignalGeneratorValues()

SignalGeneratorValuesDto MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadSignalGeneratorValues | ( | EAxis | axis | ) |

Returns object populated with signal generator values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadUnitType()

EUnitType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.ReadUnitType | ( | EAxis | axis | ) |

Returns active analog input type. Determined by active control stage system.

Returns

## ◆ SwitchRunning()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.SwitchRunning | ( | EAxis | axis,
|  | bool | enable )

Disable/enable signal generator (running, stopped).

Returns

## ◆ WriteAmplitude()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteAmplitude | ( | EAxis | axis,
|  | float | value )

Sets amplitude of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteCycles()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteCycles | ( | EAxis | axis,
|  | int | cycles )

Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ WriteDutyCycles()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteDutyCycles | ( | EAxis | axis,
|  | float | dutyCycles )

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteExternalTrigger()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteExternalTrigger | ( | EAxis | axis,
|  | EExternalTriggerType | trigger )

Sets flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteFrequency()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteFrequency | ( | EAxis | axis,
|  | float | value )

Sets frequency in Hz of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteOffset()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteOffset | ( | EAxis | axis,
|  | float | offset )

Sets offset of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WritePhaseDelay()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WritePhaseDelay | ( | EAxis | axis,
|  | float | phaseDelay )

Sets phase in rad of generated signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteShape()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteShape | ( | EAxis | axis,
|  | EWaveformShape | shape )

Sets shape of waveform.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteSignalGeneratorValues()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteSignalGeneratorValues | ( | SignalGeneratorValuesDto | axisValues,
|  | EAxis | axis )

Sets object populated with signal generator values.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteUnitType()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.ISignalGenerator.WriteUnitType | ( | EAxis | axis,
|  | EUnitType | unit )

Sets active analog input type. Determined by active control stage system.

Returns

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/InputStage/ISignalGenerator.cs